﻿@using FQ.MD.WEB.Resources
@{
    ViewBag.Title = Res.Companies;
    var Message = (string)ViewBag.Message;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>

<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col-6">
                <h5 class="color-brand">@ViewBag.Title</h5>
            </div>
            <div class="col-6 text-right">

            </div>
        </div>
    </div>
    <div class="card-body">
        <table id="datatable" class="table table-striped" style="width:100%">
            <thead>
                <tr>
                    <th> @Res.Company </th>
                    <th> @Res.IsActive </th>
                    <th></th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</div>



@section Scripts{
    <script type="text/javascript">
        $(document).ready(function () {
            $('#datatable').DataTable({
                "bStateSave": true,
                "processing": true,
                "serverSide": true,
                "ajax": {
                    url: "@Url.Action("Index", "Companies")",
                    type: 'POST'
                },
                "language": {
                    "search": "@Res.Search",
                    "searchPlaceholder": "@Res.Keywords",
                    "lengthMenu": "@Res.Show _MENU_ @Res.Entries",
                    "zeroRecords": "@Res.NoData",
                    "info": "",
                    "infoEmpty": "@Res.NoData",
                    "infoFiltered": "",
                    "paginate": { "first": "|<", "previous": "<", "next": ">", "last": ">|"

                    }
                },
                "columns": [
                     { "data": "CompanyName", "width": "70%" },
                     { "data": "Active", "className": 'text-center' },
                     { "data": "Actions", "className": 'text-right', "orderable": false }
                ]
            });
        });
    </script>
}